<?php
// Popular Posts Options.
$wp_customize->add_section(
    'footer_section_options',
    array(
        'title' => __('Footer Copyright Options', 'bloglex'),
        'panel' => 'footer_options_panel',
    )
);


/*Copyright Text.*/
$wp_customize->add_setting('bloglex_options[copyright_text]'
    ,
    array(
        'default'           => $bloglex_default['copyright_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('bloglex_options[copyright_text]'
    ,
    array(
        'label'           => __( 'Copyright Text', 'bloglex' ),
        'description'     => __( 'Use {{ date }} to get the current date.', 'bloglex' ),
        'section'         => 'footer_section_options',
        'type'            => 'text',
    )
);

/*Copyright Date Format*/
$wp_customize->add_setting(
    'bloglex_options[copyright_date_format]',
    array(
        'default'           => $bloglex_default['copyright_date_format'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'bloglex_options[copyright_date_format]',
    array(
        'label'           => __( 'Copyright Date Format', 'bloglex' ),
        'description'     => sprintf(
            wp_kses(
                __( '<a href="%s" target="_blank">Date and Time Formatting Documentation</a>.', 'bloglex' ),
                array(
                    'a' => array(
                        'href'   => array(),
                        'target' => array(),
                    ),
                )
            ),
            esc_url( 'https://wordpress.org/support/article/formatting-date-and-time' )
        ),
        'section'         => 'footer_section_options',
        'type'            => 'text',
    )
);
/*Enable Footer Nav*/
$wp_customize->add_setting(
    'bloglex_options[enable_footer_nav]',
    array(
        'default'           => $bloglex_default['enable_footer_nav'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'bloglex_options[enable_footer_nav]',
    array(
        'label'       => __( 'Show Footer Nav Menu', 'bloglex' ),
        'description' => sprintf( __( 'You can add/edit footer nav menu from <a href="%s">here</a>.', 'bloglex' ), "javascript:wp.customize.control( 'nav_menu_locations[footer]' ).focus();" ),
        'section'     => 'footer_section_options',
        'type'     => 'checkbox',
    )
);


/*Enable Footer Social Nav*/

$wp_customize->add_setting(
    'bloglex_options[enable_footer_social_nav]',
    array(
        'default'           => $bloglex_default['enable_footer_social_nav'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'bloglex_options[enable_footer_social_nav]',
    array(
        'label'       => __( 'Show Social Nav Menu in Footer', 'bloglex' ),
        'description' => sprintf( __( 'You can add/edit social nav menu from <a href="%s">here</a>.', 'bloglex' ), "javascript:wp.customize.control( 'nav_menu_locations[social]' ).focus();" ),
        'section'     => 'footer_section_options',
        'type'     => 'checkbox',
    )
);



$wp_customize->add_setting(
    'bloglex_options[select_footer_social_menu_style]',
    array(
        'default'           => $bloglex_default['select_footer_social_menu_style'],
        'sanitize_callback' => 'bloglex_sanitize_select',
    )
);
$wp_customize->add_control(
    'bloglex_options[select_footer_social_menu_style]',
    array(
        'label'         => esc_html__( 'Social Menu Options', 'bloglex' ),
        'section'     => 'footer_section_options',
        'type'        => 'select',
        'choices'       => bloglex_social_menu_style(),


    )
);

$wp_customize->add_setting(
    'bloglex_options[enable_footer_social_nav_border_radius]',
    array(
        'default'           => $bloglex_default['enable_footer_social_nav_border_radius'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'bloglex_options[enable_footer_social_nav_border_radius]',
    array(
        'label'    => __( 'Enable Border Radius', 'bloglex' ),
        'section'  => 'footer_section_options',
        'type'     => 'checkbox',
    )
);

// Popular Posts Options.
$wp_customize->add_section(
    'footer_scroll_to_top_options',
    array(
        'title' => __('Footer Scroll To Top', 'bloglex'),
        'panel' => 'footer_options_panel',
    )
);


/*Copyright Text.*/
$wp_customize->add_setting('bloglex_options[enable_footer_scroll_to_top]'
    ,
    array(
        'default'           => $bloglex_default['enable_footer_scroll_to_top'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',
        
    )
);
$wp_customize->add_control('bloglex_options[enable_footer_scroll_to_top]'
    ,
    array(
        'label'           => __( 'Enable Footer Scroll To Top', 'bloglex' ),
        'section'         => 'footer_scroll_to_top_options',
        'type'            => 'checkbox',
    )
);


// Popular Posts Options.
$wp_customize->add_section(
    'footer_progressbar_options',
    array(
        'title' => __('Footer ProgressBar', 'bloglex'),
        'panel' => 'footer_options_panel',
    )
);


/*Copyright Text.*/
$wp_customize->add_setting('bloglex_options[enable_footer_progressbar]'
    ,
    array(
        'default'           => $bloglex_default['enable_footer_progressbar'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',

    )
);
$wp_customize->add_control('bloglex_options[enable_footer_progressbar]'
    ,
    array(
        'label'           => __( 'Enable Footer ProgressBar', 'bloglex' ),
        'description'     => __( 'Screen Progressbar enable option', 'bloglex' ),
        'section'         => 'footer_progressbar_options',
        'type'            => 'checkbox',
    )
);

